# Outseta

## Configuration

{% hint style="info" %}
You can find your Outseta Id in your custom Outseta domain\
For example, if your domain is `https://sandbox.outseta.com`, your Id would be `sandbox`.
{% endhint %}

1. In the navigation, click the ⚙️ icon
2. In the Outseta Id field, enter your Id
3. Save the changes
4. Open the flow you want to secure and add the Outseta node after the `start` node.

🎉 Congratulations, you successfully secured your flow using Outseta.

{% hint style="info" %}
The Outseta node does **not** need to be added after the `start` node if you would like to perform some logic before performing the authorisation check, this is absolutely fine.
{% endhint %}

## Access User Data

To access data associated with the user making the request, you can use the handlebar expressions e.g. `{{request.user.id}}`.

## Properties

<table><thead><tr><th width="188.5">Name</th><th>Expression</th></tr></thead><tbody><tr><td>id</td><td><code>{{request.user.id}}</code></td></tr><tr><td>email</td><td><code>{{request.user.email}}</code></td></tr><tr><td>given_name</td><td><code>{{request.user.given_name}}</code></td></tr><tr><td>account id</td><td><code>{{request.user.outseta:accountUid}}</code></td></tr><tr><td>account client identifier</td><td><code>{{request.user.outseta:accountClientIdentifier}}</code></td></tr><tr><td>is primary</td><td><code>{{request.user.isPrimary}}</code></td></tr><tr><td>subscription id</td><td><code>{{request.user.subscriptionUid}}</code></td></tr><tr><td>plan id</td><td><code>{{request.user.planUid}}</code></td></tr></tbody></table>

## User Token

To access a user token for testing log into your website and run the following code snippet within the console.

```
Outseta.getAccessToken()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alphi.dev/authentication/outseta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
